Page MenuHomePhabricator

Additional page protection level on dewiki for "editor"
Closed, ResolvedPublic

Description

The German Wikipedia community requested that German Wikipedia gets an additional page protection level. See :de:Wikipedia:Meinungsbilder/Zusätzliche Seitenschutzstufe for local consensus. The page protection level should allow only editors (in German "Sichter" or "aktive Sichter"), bots and sysops to edit or move pages.

Event Timeline

Luke081515 raised the priority of this task from to Normal.
Luke081515 updated the task description. (Show Details)
Luke081515 added a subscriber: Luke081515.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 29 2015, 10:26 PM
Luke081515 updated the task description. (Show Details)Mar 29 2015, 10:28 PM
Luke081515 set Security to None.
Luke081515 updated the task description. (Show Details)Mar 29 2015, 10:30 PM
Luke081515 updated the task description. (Show Details)Mar 29 2015, 10:33 PM
hoo renamed this task from Additional Side protection level on dewiki (Wikipedia) to Additional page protection level on dewiki (Wikipedia).Mar 29 2015, 10:34 PM
hoo renamed this task from Additional page protection level on dewiki (Wikipedia) to Additional page protection level on dewiki for "editor" (Wikipedia).Mar 29 2015, 10:36 PM
hoo added a subscriber: hoo.
-jkb- added a subscriber: -jkb-.Mar 29 2015, 10:54 PM

Page protection level can be set by user rights, not user groups. So either, 1) there needs to be a right which is currently assigned to all the required groups (editor, bot, sysop) but not the other groups or 2) a new right has to be assigned to these groups. From a quick look, I don't see a such a right for these groups so 1 is probably not possible here.

Krenair renamed this task from Additional page protection level on dewiki for "editor" (Wikipedia) to Additional page protection level on dewiki for "editor".Mar 30 2015, 5:13 AM
Krenair added a subscriber: Krenair.
Xqt added a subscriber: Xqt.Mar 30 2015, 1:13 PM
Man77 added a subscriber: Man77.Mar 30 2015, 2:27 PM

in case a name requires to be proposed, "infraprotect" might be an option.

Man77 removed a subscriber: Man77.Mar 30 2015, 2:28 PM

plwiki does this with a simple 'editor' right - see T48990

I think it's more simpel to use the name "editorprotect". It describes more the protection level.

Editnewbieprotected could be an option too.

Rather than everyone suggesting a new name for the right, it would actually help if the community had a discussion about this and agreed about it on wiki and then mention it here.

Oh, this could be really difficult. At dewiki many people think they need big straw polls for nearly everything.

Well, the usual procedure for site requests is to do configuration per community consensus and I don't see an exception here. A ~three day discussion would be fine, I think.

We can try to do this on WP:Fragen zur Wikipedia, but I don' t now if this would be accepted by the German Wikipedia community.

Luke081515 added a comment.EditedMar 30 2015, 5:04 PM

I'm preparing a three day survey about this.
It runs now till the 3rd April.

-jkb- added a comment.Mar 30 2015, 5:40 PM

A question to Glaisher. The community decided already with nearly 69 % that it will to have this page protect utility. Now you suggest the community should decide about the name for it. In fact, the name is not important but the content (and we have it). In fact the name will be seen probably by some admins only who are protecting the pages - now we have there default, autoconfirmed, and admins, and there should be something between autoconfirmed and admins. When we schall see there editor, so OK. Why to make a new poll? Regards.

Sorry for the extra bureaucracy but since every single suggestion here has been different, I don't see any other option considering that we act on community consensus for configuration changes.We could get a change deployed with 'editor' or 'infraprotect' or 'editnewbieprotected' or 'editorprotect' but then there could be someone who disagree with it. Thus, I believe the best thing is to obtain community consensus for the name and then get it deployed.

I would suggest the same implemantion as in plwiki to simplify the configuration and to allow adding a system message to the WikimediaMessages extension to translate the new right to all languages without the need of creating local pages for the right.

https://pl.wikipedia.org/wiki/MediaWiki:Right-editor

This could also include to do cascade protection with the new protection level.

Se4598 added a subscriber: Se4598.Mar 30 2015, 7:52 PM
This comment was removed by MGChecker.
-jkb- removed a subscriber: -jkb-.Mar 31 2015, 1:30 PM
Milad_A380 raised the priority of this task from Normal to High.Apr 2 2015, 8:15 PM
Aklapper lowered the priority of this task from High to Normal.Apr 3 2015, 12:25 PM

Please don't increase the priority without giving a reason why this is more urgent than other open site configuration requests.

The poll is complete, most people have voted for "editeditorprotected". (https://de.wikipedia.org/wiki/Wikipedia:Umfragen/Name_der_neuen_Schutzstufe)

So the requirements are complete now, or is there something still missing?

So the requirements are complete now, or is there something still missing?

No, nothing else. Thank you.

OK, thanks. Is there a guess possible, when this task will be resolved? I mean there are just five lines of code which have to be added.

hoo added a comment.Apr 4 2015, 2:53 PM

OK, thanks. Is there a guess possible, when this task will be resolved? I mean there are just five lines of code which have to be added.

Someone would need to volunteer to do this.

Please note that this also (besides the obvious configuration change) needs a new message for the right in WikimediaMessages.

In T94368#1179957, @hoo wrote:

Someone would need to volunteer to do this.
Please note that this also (besides the obvious configuration change) needs a new message for the right in WikimediaMessages.

Do we add messages which are specific to only one wiki to WikimediaMessages? plwiki's "editor" related messages also doesn't seem to be in the extension.

hoo added a comment.Apr 4 2015, 5:23 PM
In T94368#1179957, @hoo wrote:

Someone would need to volunteer to do this.
Please note that this also (besides the obvious configuration change) needs a new message for the right in WikimediaMessages.

Do we add messages which are specific to only one wiki to WikimediaMessages? plwiki's "editor" related messages also doesn't seem to be in the extension.

I think they should be, but given that this is probably not going to be used on any other wiki, it could be ok not to. (Sharing the name and translations with plwiki would have been nice, if the semantics are similar).

Change 201940 had a related patch set uploaded (by Glaisher):
Add 'editeditorprotected' protection level on dewiki

https://gerrit.wikimedia.org/r/201940

Glaisher added a comment.EditedApr 5 2015, 11:48 AM

Please create the following interface pages as well.

  • right-editeditorprotected (used on Special:ListGroupRights)
  • protect-level-editeditorprotected (used on the protection form)
  • restriction-level-editeditorprotected (used on Special:ProtectedPages and Special:ProtectedTitles)
Luke081515 added a comment.EditedApr 5 2015, 3:13 PM

I made a request on the site for sysop requests, now, it is done.
How long it will take till the new protection level ist available?

Steinsplitter updated the task description. (Show Details)Apr 5 2015, 4:50 PM
Glaisher updated the task description. (Show Details)Apr 5 2015, 4:52 PM

The editeditorprotected permission should be added to stewards, staffs, sysadmins and global interface editors too.

How long it will take till the new protection level ist available?

There cannot really be a guaranteed deployment date/time.

The editeditorprotected permission should be added to stewards, staffs, sysadmins and global interface editors too.

Good point... Asked for improvement on the commit so that the stewards can grant this to global groups.

The editeditorprotected permission should be added to stewards, staffs, sysadmins and global interface editors too.

Good point... Asked for improvement on the commit so that the stewards can grant this to global groups.

We should add the messages to WikimediaMessages then.

Change 202380 had a related patch set uploaded (by Glaisher):
Add messages for 'editeditorprotected' protection level

https://gerrit.wikimedia.org/r/202380

Change 202380 merged by jenkins-bot:
Add messages for 'editeditorprotected' protection level

https://gerrit.wikimedia.org/r/202380

OK, whats the next step now?

OK, whats the next step now?

still waiting on review/approve of https://gerrit.wikimedia.org/r/201940

@Se4598: I already reviewed it, it's fine. We just need to find a window to deploy it in. (We don't just approve and deploy operations/mediawiki-config changes when we feel like it).
https://gerrit.wikimedia.org/r/202380 made it into the 1.26wmf1 branch, which goes to Wikipedias on Wednesday 15th.
So I assume @Glaisher will put the config change up for the SWAT deployment window a few hours after that.

@Se4598: I already reviewed it, it's fine. We just need to find a window to deploy it in. (We don't just approve and deploy operations/mediawiki-config changes when we feel like it).
https://gerrit.wikimedia.org/r/202380 made it into the 1.26wmf1 branch, which goes to Wikipedias on Wednesday 15th.
So I assume @Glaisher will put the config change up for the SWAT deployment window a few hours after that.

The system messages exists on de.wp and there is no need to wait for 1.26wmf1. The next SWAT window can be used, if possible.

Ah, okay. Let's do this in the deployment window at 15:00 UTC then.

Change 201940 merged by jenkins-bot:
Add 'editeditorprotected' protection level on dewiki

https://gerrit.wikimedia.org/r/201940

It has been deployed to German Wikipedia but the other i18n messages will reach German Wikipedia next Wednesday.

Glaisher closed this task as Resolved.Apr 9 2015, 3:10 PM
Glaisher claimed this task.
Glaisher removed a project: Patch-For-Review.
-jkb- added a subscriber: -jkb-.Apr 9 2015, 3:20 PM

Thanks to all.

Mjbmr moved this task from Backlog to Done on the Wikimedia-Site-requests board.May 4 2015, 2:19 PM